Uploaded image for project: 'Puppet'
  1. Puppet
  2. PUP-7407

Add deprecation warning to Puppet::Util.absolute_path?

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: PUP 5.5.3
    • Component/s: Docs
    • Labels:
      None
    • Template:
    • Acceptance Criteria:
      Hide

      Using Puppet::Util.absolute_path? issues a deprecation warning, only when strict mode is enabled.

      Show
      Using Puppet::Util.absolute_path? issues a deprecation warning, only when strict mode is enabled.
    • Team:
      Coremunity
    • Sprint:
      Agent 2017-04-19, Platform Core KANBAN
    • Release Notes:
      Bug Fix
    • Release Notes Summary:
      Puppet has long used its own version of verifying absolute paths across platforms, but now uses ruby's built-in methods to accomplish this. Use of `Puppet::Util.absolute_path?(path)` is now deprecated in favor of `Pathname.new(path.to_s).absolute?`
    • QA Risk Assessment:
      No Action
    • QA Risk Assessment Reason:
      Deprecation not risk-assessed

      Description

      We plan to remove Puppet::Util.absolute_path? in favor of Ruby's built-in Pathname.new().absolute_path? in Puppet 5. We need to deprecate it before that can be done.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              jorie Jorie Tappa
              Reporter:
              maggie Maggie Dreyer
              Votes:
              0 Vote for this issue
              Watchers:
              8 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Zendesk Support